<?php
/**
 * montonio/module-hire-purchase
 *
 * @category   montonio
 * @package    module-hire-purchase
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
namespace Montonio\Hirepurchase\Model\Payment;

/**
 * Class ConfigProvider for providing config for hirepurchase
 */
class ConfigProvider implements \Magento\Checkout\Model\ConfigProviderInterface
{
    /**
     *
     * @var string
     */
    const CODE = 'montonio';

    /**
     *
     * @param \Montonio\Hirepurchase\Gateway\Config\Config $config
     * @param \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
     */
    public function __construct(
        \Montonio\Hirepurchase\Gateway\Hirepurchase\Config\Config $config,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        $this->config = $config;
        $this->scopeConfig = $scopeConfig;
    }

    /**
     * Retrieve assoc array of checkout configuration
     *
     * @return array
     */
    public function getConfig()
    {
        //this will be empty since we don't relay on it on frontend
        return $this->config->getConfig();
    }

    /**
     * Retrieve config object
     *
     * @return \Montonio\Hirepurchase\Gateway\Payments\Config\Config
     */
    public function getConfigObject()
    {
        return $this->config;
    }
}
