/**
 * montonio/module-hire-purchase
 *
 * @category   montonio
 * @package    module-hire-purchase
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
define(
    [
        'underscore',
        'jquery',
        'Magento_Checkout/js/view/payment/default'
    ],
    function (
        _,
        jQuery,
        paymentComponent
    ) {
        'use strict';
        return paymentComponent.extend({
            defaults: {
                template: 'Montonio_Hirepurchase/payment/montonio'
            },
            getServiceDescription: function () {
                var logoPath = this.getServiceLogoPath();
                if(!_.isUndefined(logoPath) && !_.isEmpty(logoPath)) {
                    jQuery('#' + this.methodCnf.methodCode)
                        .parents('.payment-method')
                        .find('.payment-method-description')
                        .css({'background-image':'url(' + logoPath + ')'});
                }

                return this.methodCnf.serviceDescription;
            },
            getServiceLogoPath: function () {
                return this.methodCnf.serviceLogoPath;
            },
            getTitle: function () {
                var title;
                if(this.methodCnf.title){
                    title = this.methodCnf.title;
                } else {
                    title = this.item.title;
                }
                return title;
            }
        });
    }
);
